all:
  children:
    tempest:
      hosts:
        controller: null
    zuul_unreachable:
      hosts: {}
  hosts:
    controller:
      ansible_connection: ssh
      ansible_host: 10.4.3.4
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: ubuntu
      configure_swap_size: 8192
      devstack_local_conf:
        post-config:
          $CINDER_CONF:
            storpool:
              storpool_iscsi_export_to: \\*
              storpool_iscsi_portal_group: pg
              storpool_template: virtual
              use_multipath_for_image_xfer: true
              volume_backend_name: storpool
              volume_driver: cinder.volume.drivers.storpool.StorPoolDriver
          $NEUTRON_CONF:
            DEFAULT:
              global_physnet_mtu: '{{ external_bridge_mtu }}'
          $NOVA_CONF:
            libvirt:
              volume_use_multipath: true
        test-config:
          $TEMPEST_CONFIG:
            compute:
              min_compute_nodes: '{{ groups[''compute''] | default([''controller''])
                | length }}'
            service-clients:
              http_timeout: 90
      devstack_localrc:
        ADMIN_PASSWORD: secretadmin
        CINDER_ENABLED_BACKENDS: storpool:storpool
        DATABASE_PASSWORD: secretdatabase
        DEBUG_LIBVIRT_COREDUMPS: true
        ENABLE_FILE_INJECTION: false
        ENABLE_SYSCTL_MEM_TUNING: true
        ENABLE_SYSCTL_NET_TUNING: true
        ENABLE_VOLUME_MULTIATTACH: true
        ENABLE_ZSWAP: true
        ERROR_ON_CLONE: true
        FIXED_RANGE: 10.1.0.0/20
        FLOATING_RANGE: 172.24.5.0/24
        FORCE_CONFIG_DRIVE: true
        GLANCE_USE_IMPORT_WORKFLOW: true
        HOST_IP: '{{ hostvars[''controller''][''nodepool''][''private_ipv4''] }}'
        IMAGE_URLS: http://download.cirros-cloud.net/0.6.2/cirros-0.6.2-x86_64-disk.img,
          http://download.cirros-cloud.net/0.6.1/cirros-0.6.1-x86_64-disk.img
        IPV4_ADDRS_SAFE_TO_USE: 10.1.0.0/20
        LIBVIRT_TYPE: '{{ devstack_libvirt_type | default("qemu") }}'
        LOGFILE: /opt/stack/logs/devstacklog.txt
        LOG_COLOR: false
        NETWORK_GATEWAY: 10.1.0.1
        NOVA_LIBVIRT_TB_CACHE_SIZE: 128
        NOVA_VNC_ENABLED: true
        OVN_DBS_LOG_LEVEL: dbg
        PUBLIC_BRIDGE_MTU: '{{ external_bridge_mtu }}'
        PUBLIC_NETWORK_GATEWAY: 172.24.5.1
        RABBIT_PASSWORD: secretrabbit
        SERVICE_HOST: '{{ hostvars[''controller''][''nodepool''][''private_ipv4'']
          }}'
        SERVICE_PASSWORD: secretservice
        SWIFT_HASH: 1234123412341234
        SWIFT_REPLICAS: 1
        SWIFT_START_ALL_SERVICES: false
        TEMPEST_EXTEND_ATTACHED_VOLUME: true
        TEMPEST_PLUGINS: cinder-tempest-plugin
        TEMPEST_RUN_VALIDATION: true
        TEMPEST_STORAGE_PROTOCOL: iscsi
        TEMPEST_VOLUME_REVERT_TO_SNAPSHOT: true
        TEMPEST_VOLUME_VENDOR: StorPool
        VERBOSE: true
        VERBOSE_NO_TIMESTAMP: true
      devstack_plugins:
        neutron: https://opendev.org/openstack/neutron
      devstack_services:
        base: false
        c-api: true
        c-bak: true
        c-sch: true
        c-vol: true
        dstat: false
        etcd3: true
        file_tracker: true
        g-api: true
        horizon: false
        key: true
        memory_tracker: true
        mysql: true
        n-api: true
        n-api-meta: true
        n-cond: true
        n-cpu: true
        n-novnc: true
        n-sch: true
        openstack-cli-server: true
        ovn-controller: true
        ovn-northd: true
        ovs-vswitchd: true
        ovsdb-server: true
        placement-api: true
        q-ovn-agent: true
        q-svc: true
        rabbit: true
        s-account: true
        s-container: true
        s-object: true
        s-proxy: true
        tempest: true
        tls-proxy: true
      extensions_to_txt:
        auto: true
        conf: true
        localrc: true
        log: true
        stackenv: true
        yaml: true
        yml: true
      local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
      nodepool:
        az: lab
        cloud: openstack-testing
        external_id: 5ea54e59-f8e3-4849-8114-11379a4636b8
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.4
        label: os-ubuntu2404-4xlarge
        node_properties: {}
        private_ipv4: 10.4.3.4
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
      os_venv: ~/sp-venv-openstack
      sp_experimental: true
      sp_target_release: release
      storpool_connection: iscsi
      tempest_concurrency: 8
      tempest_test_regex: volume|^cinder_tempest_plugin
      test_results_stage_name: test_results
      tox_envlist: all
      zuul_copy_output:
        /etc/ceph: logs
        /etc/glusterfs/glusterd.vol: logs
        /etc/iscsi/iscsid.conf: logs_txt
        /etc/libvirt: logs
        /etc/lvm: logs
        /etc/multipath.conf: logs_txt
        /etc/resolv.conf: logs
        /etc/sudoers: logs
        /etc/sudoers.d: logs
        /var/log/ceph: logs
        /var/log/glusterfs: logs
        /var/log/libvirt: logs
        /var/log/mysql: logs
        /var/log/openvswitch: logs
        /var/log/ovn: logs
        /var/log/postgresql: logs
        /var/log/rabbitmq: logs
        /var/log/unbound.log: logs
        '{{ devstack_base_dir }}/tempest/etc/accounts.yaml': logs
        '{{ devstack_base_dir }}/tempest/etc/tempest.conf': logs
        '{{ devstack_base_dir }}/tempest/tempest.log': logs
        '{{ devstack_conf_dir }}/.localrc.auto': logs
        '{{ devstack_conf_dir }}/.stackenv': logs
        '{{ devstack_conf_dir }}/local.conf': logs
        '{{ devstack_conf_dir }}/localrc': logs
        '{{ devstack_full_log}}': logs
        '{{ devstack_log_dir }}/atop': logs
        '{{ devstack_log_dir }}/devstacklog.txt': logs
        '{{ devstack_log_dir }}/devstacklog.txt.summary': logs
        '{{ devstack_log_dir }}/dstat-csv.log': logs
        '{{ devstack_log_dir }}/qemu.coredump': logs
        '{{ devstack_log_dir }}/tcpdump.pcap': logs
        '{{ devstack_log_dir }}/worlddump-latest.txt': logs
        '{{ stage_dir }}/apache': logs
        '{{ stage_dir }}/apache_config': logs
        '{{ stage_dir }}/audit.log': logs
        '{{ stage_dir }}/core': logs
        '{{ stage_dir }}/deprecations.log': logs
        '{{ stage_dir }}/df.txt': logs
        '{{ stage_dir }}/dpkg-l.txt': logs
        '{{ stage_dir }}/etc': logs
        '{{ stage_dir }}/iptables.txt': logs
        '{{ stage_dir }}/listen53.txt': logs
        '{{ stage_dir }}/mount.txt': logs
        '{{ stage_dir }}/performance.json': logs
        '{{ stage_dir }}/pip2-freeze.txt': logs
        '{{ stage_dir }}/pip3-freeze.txt': logs
        '{{ stage_dir }}/rpm-qa.txt': logs
        '{{ stage_dir }}/services.txt': logs
        '{{ stage_dir }}/stackviz': logs
        '{{ stage_dir }}/verify_tempest_conf.log': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.html': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.subunit': logs
      zuul_node:
        az: lab
        cloud: openstack-testing
        external_id: 5ea54e59-f8e3-4849-8114-11379a4636b8
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.4
        label: os-ubuntu2404-4xlarge
        node_properties: {}
        private_ipv4: 10.4.3.4
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        reuse: false
        slot: null
        uuid: null
      zuul_use_fetch_output: true
    lab-sp-a1:
      ansible_connection: ssh
      ansible_host: 10.4.3.5
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: ubuntu
      configure_swap_size: 8192
      devstack_local_conf:
        post-config:
          $CINDER_CONF:
            storpool:
              storpool_iscsi_export_to: \\*
              storpool_iscsi_portal_group: pg
              storpool_template: virtual
              use_multipath_for_image_xfer: true
              volume_backend_name: storpool
              volume_driver: cinder.volume.drivers.storpool.StorPoolDriver
          $NEUTRON_CONF:
            DEFAULT:
              global_physnet_mtu: '{{ external_bridge_mtu }}'
          $NOVA_CONF:
            libvirt:
              volume_use_multipath: true
        test-config:
          $TEMPEST_CONFIG:
            compute:
              min_compute_nodes: '{{ groups[''compute''] | default([''controller''])
                | length }}'
            service-clients:
              http_timeout: 90
      devstack_localrc:
        ADMIN_PASSWORD: secretadmin
        CINDER_ENABLED_BACKENDS: storpool:storpool
        DATABASE_PASSWORD: secretdatabase
        DEBUG_LIBVIRT_COREDUMPS: true
        ENABLE_FILE_INJECTION: false
        ENABLE_SYSCTL_MEM_TUNING: true
        ENABLE_SYSCTL_NET_TUNING: true
        ENABLE_VOLUME_MULTIATTACH: true
        ENABLE_ZSWAP: true
        ERROR_ON_CLONE: true
        FIXED_RANGE: 10.1.0.0/20
        FLOATING_RANGE: 172.24.5.0/24
        FORCE_CONFIG_DRIVE: true
        GLANCE_USE_IMPORT_WORKFLOW: true
        HOST_IP: '{{ hostvars[''controller''][''nodepool''][''private_ipv4''] }}'
        IMAGE_URLS: http://download.cirros-cloud.net/0.6.2/cirros-0.6.2-x86_64-disk.img,
          http://download.cirros-cloud.net/0.6.1/cirros-0.6.1-x86_64-disk.img
        IPV4_ADDRS_SAFE_TO_USE: 10.1.0.0/20
        LIBVIRT_TYPE: '{{ devstack_libvirt_type | default("qemu") }}'
        LOGFILE: /opt/stack/logs/devstacklog.txt
        LOG_COLOR: false
        NETWORK_GATEWAY: 10.1.0.1
        NOVA_LIBVIRT_TB_CACHE_SIZE: 128
        NOVA_VNC_ENABLED: true
        OVN_DBS_LOG_LEVEL: dbg
        PUBLIC_BRIDGE_MTU: '{{ external_bridge_mtu }}'
        PUBLIC_NETWORK_GATEWAY: 172.24.5.1
        RABBIT_PASSWORD: secretrabbit
        SERVICE_HOST: '{{ hostvars[''controller''][''nodepool''][''private_ipv4'']
          }}'
        SERVICE_PASSWORD: secretservice
        SWIFT_HASH: 1234123412341234
        SWIFT_REPLICAS: 1
        SWIFT_START_ALL_SERVICES: false
        TEMPEST_EXTEND_ATTACHED_VOLUME: true
        TEMPEST_PLUGINS: cinder-tempest-plugin
        TEMPEST_RUN_VALIDATION: true
        TEMPEST_STORAGE_PROTOCOL: iscsi
        TEMPEST_VOLUME_REVERT_TO_SNAPSHOT: true
        TEMPEST_VOLUME_VENDOR: StorPool
        VERBOSE: true
        VERBOSE_NO_TIMESTAMP: true
      devstack_plugins:
        neutron: https://opendev.org/openstack/neutron
      devstack_services:
        base: false
        c-api: true
        c-bak: true
        c-sch: true
        c-vol: true
        dstat: false
        etcd3: true
        file_tracker: true
        g-api: true
        horizon: false
        key: true
        memory_tracker: true
        mysql: true
        n-api: true
        n-api-meta: true
        n-cond: true
        n-cpu: true
        n-novnc: true
        n-sch: true
        openstack-cli-server: true
        ovn-controller: true
        ovn-northd: true
        ovs-vswitchd: true
        ovsdb-server: true
        placement-api: true
        q-ovn-agent: true
        q-svc: true
        rabbit: true
        s-account: true
        s-container: true
        s-object: true
        s-proxy: true
        tempest: true
        tls-proxy: true
      extensions_to_txt:
        auto: true
        conf: true
        localrc: true
        log: true
        stackenv: true
        yaml: true
        yml: true
      local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
      nodepool:
        az: lab
        cloud: openstack-testing
        external_id: c27b4579-82a6-496d-add6-641cbc3c2c56
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.5
        label: os-ubuntu2404-2xlarge
        node_properties: {}
        private_ipv4: 10.4.3.5
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
      os_venv: ~/sp-venv-openstack
      sp_experimental: true
      sp_target_release: release
      storpool_connection: iscsi
      tempest_concurrency: 8
      tempest_test_regex: volume|^cinder_tempest_plugin
      test_results_stage_name: test_results
      tox_envlist: all
      zuul_copy_output:
        /etc/ceph: logs
        /etc/glusterfs/glusterd.vol: logs
        /etc/iscsi/iscsid.conf: logs_txt
        /etc/libvirt: logs
        /etc/lvm: logs
        /etc/multipath.conf: logs_txt
        /etc/resolv.conf: logs
        /etc/sudoers: logs
        /etc/sudoers.d: logs
        /var/log/ceph: logs
        /var/log/glusterfs: logs
        /var/log/libvirt: logs
        /var/log/mysql: logs
        /var/log/openvswitch: logs
        /var/log/ovn: logs
        /var/log/postgresql: logs
        /var/log/rabbitmq: logs
        /var/log/unbound.log: logs
        '{{ devstack_base_dir }}/tempest/etc/accounts.yaml': logs
        '{{ devstack_base_dir }}/tempest/etc/tempest.conf': logs
        '{{ devstack_base_dir }}/tempest/tempest.log': logs
        '{{ devstack_conf_dir }}/.localrc.auto': logs
        '{{ devstack_conf_dir }}/.stackenv': logs
        '{{ devstack_conf_dir }}/local.conf': logs
        '{{ devstack_conf_dir }}/localrc': logs
        '{{ devstack_full_log}}': logs
        '{{ devstack_log_dir }}/atop': logs
        '{{ devstack_log_dir }}/devstacklog.txt': logs
        '{{ devstack_log_dir }}/devstacklog.txt.summary': logs
        '{{ devstack_log_dir }}/dstat-csv.log': logs
        '{{ devstack_log_dir }}/qemu.coredump': logs
        '{{ devstack_log_dir }}/tcpdump.pcap': logs
        '{{ devstack_log_dir }}/worlddump-latest.txt': logs
        '{{ stage_dir }}/apache': logs
        '{{ stage_dir }}/apache_config': logs
        '{{ stage_dir }}/audit.log': logs
        '{{ stage_dir }}/core': logs
        '{{ stage_dir }}/deprecations.log': logs
        '{{ stage_dir }}/df.txt': logs
        '{{ stage_dir }}/dpkg-l.txt': logs
        '{{ stage_dir }}/etc': logs
        '{{ stage_dir }}/iptables.txt': logs
        '{{ stage_dir }}/listen53.txt': logs
        '{{ stage_dir }}/mount.txt': logs
        '{{ stage_dir }}/performance.json': logs
        '{{ stage_dir }}/pip2-freeze.txt': logs
        '{{ stage_dir }}/pip3-freeze.txt': logs
        '{{ stage_dir }}/rpm-qa.txt': logs
        '{{ stage_dir }}/services.txt': logs
        '{{ stage_dir }}/stackviz': logs
        '{{ stage_dir }}/verify_tempest_conf.log': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.html': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.subunit': logs
      zuul_node:
        az: lab
        cloud: openstack-testing
        external_id: c27b4579-82a6-496d-add6-641cbc3c2c56
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.5
        label: os-ubuntu2404-2xlarge
        node_properties: {}
        private_ipv4: 10.4.3.5
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        reuse: false
        slot: null
        uuid: null
      zuul_use_fetch_output: true
    undercloud-client:
      ansible_connection: ssh
      ansible_host: 10.4.3.80
      ansible_port: 22
      ansible_python_interpreter: auto
      ansible_user: ubuntu
      configure_swap_size: 8192
      devstack_local_conf:
        post-config:
          $CINDER_CONF:
            storpool:
              storpool_iscsi_export_to: \\*
              storpool_iscsi_portal_group: pg
              storpool_template: virtual
              use_multipath_for_image_xfer: true
              volume_backend_name: storpool
              volume_driver: cinder.volume.drivers.storpool.StorPoolDriver
          $NEUTRON_CONF:
            DEFAULT:
              global_physnet_mtu: '{{ external_bridge_mtu }}'
          $NOVA_CONF:
            libvirt:
              volume_use_multipath: true
        test-config:
          $TEMPEST_CONFIG:
            compute:
              min_compute_nodes: '{{ groups[''compute''] | default([''controller''])
                | length }}'
            service-clients:
              http_timeout: 90
      devstack_localrc:
        ADMIN_PASSWORD: secretadmin
        CINDER_ENABLED_BACKENDS: storpool:storpool
        DATABASE_PASSWORD: secretdatabase
        DEBUG_LIBVIRT_COREDUMPS: true
        ENABLE_FILE_INJECTION: false
        ENABLE_SYSCTL_MEM_TUNING: true
        ENABLE_SYSCTL_NET_TUNING: true
        ENABLE_VOLUME_MULTIATTACH: true
        ENABLE_ZSWAP: true
        ERROR_ON_CLONE: true
        FIXED_RANGE: 10.1.0.0/20
        FLOATING_RANGE: 172.24.5.0/24
        FORCE_CONFIG_DRIVE: true
        GLANCE_USE_IMPORT_WORKFLOW: true
        HOST_IP: '{{ hostvars[''controller''][''nodepool''][''private_ipv4''] }}'
        IMAGE_URLS: http://download.cirros-cloud.net/0.6.2/cirros-0.6.2-x86_64-disk.img,
          http://download.cirros-cloud.net/0.6.1/cirros-0.6.1-x86_64-disk.img
        IPV4_ADDRS_SAFE_TO_USE: 10.1.0.0/20
        LIBVIRT_TYPE: '{{ devstack_libvirt_type | default("qemu") }}'
        LOGFILE: /opt/stack/logs/devstacklog.txt
        LOG_COLOR: false
        NETWORK_GATEWAY: 10.1.0.1
        NOVA_LIBVIRT_TB_CACHE_SIZE: 128
        NOVA_VNC_ENABLED: true
        OVN_DBS_LOG_LEVEL: dbg
        PUBLIC_BRIDGE_MTU: '{{ external_bridge_mtu }}'
        PUBLIC_NETWORK_GATEWAY: 172.24.5.1
        RABBIT_PASSWORD: secretrabbit
        SERVICE_HOST: '{{ hostvars[''controller''][''nodepool''][''private_ipv4'']
          }}'
        SERVICE_PASSWORD: secretservice
        SWIFT_HASH: 1234123412341234
        SWIFT_REPLICAS: 1
        SWIFT_START_ALL_SERVICES: false
        TEMPEST_EXTEND_ATTACHED_VOLUME: true
        TEMPEST_PLUGINS: cinder-tempest-plugin
        TEMPEST_RUN_VALIDATION: true
        TEMPEST_STORAGE_PROTOCOL: iscsi
        TEMPEST_VOLUME_REVERT_TO_SNAPSHOT: true
        TEMPEST_VOLUME_VENDOR: StorPool
        VERBOSE: true
        VERBOSE_NO_TIMESTAMP: true
      devstack_plugins:
        neutron: https://opendev.org/openstack/neutron
      devstack_services:
        base: false
        c-api: true
        c-bak: true
        c-sch: true
        c-vol: true
        dstat: false
        etcd3: true
        file_tracker: true
        g-api: true
        horizon: false
        key: true
        memory_tracker: true
        mysql: true
        n-api: true
        n-api-meta: true
        n-cond: true
        n-cpu: true
        n-novnc: true
        n-sch: true
        openstack-cli-server: true
        ovn-controller: true
        ovn-northd: true
        ovs-vswitchd: true
        ovsdb-server: true
        placement-api: true
        q-ovn-agent: true
        q-svc: true
        rabbit: true
        s-account: true
        s-container: true
        s-object: true
        s-proxy: true
        tempest: true
        tls-proxy: true
      extensions_to_txt:
        auto: true
        conf: true
        localrc: true
        log: true
        stackenv: true
        yaml: true
        yml: true
      local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
      nodepool:
        az: lab
        cloud: openstack-testing
        external_id: ca84a30e-a613-4fcd-98fb-06c833b3431b
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.80
        label: os-ubuntu2404-small
        node_properties: {}
        private_ipv4: 10.4.3.80
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        slot: null
      os_venv: ~/sp-venv-openstack
      sp_experimental: true
      sp_target_release: release
      storpool_connection: iscsi
      tempest_concurrency: 8
      tempest_test_regex: volume|^cinder_tempest_plugin
      test_results_stage_name: test_results
      tox_envlist: all
      zuul_copy_output:
        /etc/ceph: logs
        /etc/glusterfs/glusterd.vol: logs
        /etc/iscsi/iscsid.conf: logs_txt
        /etc/libvirt: logs
        /etc/lvm: logs
        /etc/multipath.conf: logs_txt
        /etc/resolv.conf: logs
        /etc/sudoers: logs
        /etc/sudoers.d: logs
        /var/log/ceph: logs
        /var/log/glusterfs: logs
        /var/log/libvirt: logs
        /var/log/mysql: logs
        /var/log/openvswitch: logs
        /var/log/ovn: logs
        /var/log/postgresql: logs
        /var/log/rabbitmq: logs
        /var/log/unbound.log: logs
        '{{ devstack_base_dir }}/tempest/etc/accounts.yaml': logs
        '{{ devstack_base_dir }}/tempest/etc/tempest.conf': logs
        '{{ devstack_base_dir }}/tempest/tempest.log': logs
        '{{ devstack_conf_dir }}/.localrc.auto': logs
        '{{ devstack_conf_dir }}/.stackenv': logs
        '{{ devstack_conf_dir }}/local.conf': logs
        '{{ devstack_conf_dir }}/localrc': logs
        '{{ devstack_full_log}}': logs
        '{{ devstack_log_dir }}/atop': logs
        '{{ devstack_log_dir }}/devstacklog.txt': logs
        '{{ devstack_log_dir }}/devstacklog.txt.summary': logs
        '{{ devstack_log_dir }}/dstat-csv.log': logs
        '{{ devstack_log_dir }}/qemu.coredump': logs
        '{{ devstack_log_dir }}/tcpdump.pcap': logs
        '{{ devstack_log_dir }}/worlddump-latest.txt': logs
        '{{ stage_dir }}/apache': logs
        '{{ stage_dir }}/apache_config': logs
        '{{ stage_dir }}/audit.log': logs
        '{{ stage_dir }}/core': logs
        '{{ stage_dir }}/deprecations.log': logs
        '{{ stage_dir }}/df.txt': logs
        '{{ stage_dir }}/dpkg-l.txt': logs
        '{{ stage_dir }}/etc': logs
        '{{ stage_dir }}/iptables.txt': logs
        '{{ stage_dir }}/listen53.txt': logs
        '{{ stage_dir }}/mount.txt': logs
        '{{ stage_dir }}/performance.json': logs
        '{{ stage_dir }}/pip2-freeze.txt': logs
        '{{ stage_dir }}/pip3-freeze.txt': logs
        '{{ stage_dir }}/rpm-qa.txt': logs
        '{{ stage_dir }}/services.txt': logs
        '{{ stage_dir }}/stackviz': logs
        '{{ stage_dir }}/verify_tempest_conf.log': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.html': logs
        '{{ stage_dir }}/{{ test_results_stage_name }}.subunit': logs
      zuul_node:
        az: lab
        cloud: openstack-testing
        external_id: ca84a30e-a613-4fcd-98fb-06c833b3431b
        host_id: 7494f74baa07d17789d96d3d24bdd7bcd37fb89e8217586c2be59c98
        interface_ip: 10.4.3.80
        label: os-ubuntu2404-small
        node_properties: {}
        private_ipv4: 10.4.3.80
        private_ipv6: null
        provider: openstack-testing
        public_ipv4: ''
        public_ipv6: ''
        region: RegionOne
        reuse: false
        slot: null
        uuid: null
      zuul_use_fetch_output: true
  vars:
    configure_swap_size: 8192
    devstack_local_conf:
      post-config:
        $CINDER_CONF:
          storpool:
            storpool_iscsi_export_to: \\*
            storpool_iscsi_portal_group: pg
            storpool_template: virtual
            use_multipath_for_image_xfer: true
            volume_backend_name: storpool
            volume_driver: cinder.volume.drivers.storpool.StorPoolDriver
        $NEUTRON_CONF:
          DEFAULT:
            global_physnet_mtu: '{{ external_bridge_mtu }}'
        $NOVA_CONF:
          libvirt:
            volume_use_multipath: true
      test-config:
        $TEMPEST_CONFIG:
          compute:
            min_compute_nodes: '{{ groups[''compute''] | default([''controller''])
              | length }}'
          service-clients:
            http_timeout: 90
    devstack_localrc:
      ADMIN_PASSWORD: secretadmin
      CINDER_ENABLED_BACKENDS: storpool:storpool
      DATABASE_PASSWORD: secretdatabase
      DEBUG_LIBVIRT_COREDUMPS: true
      ENABLE_FILE_INJECTION: false
      ENABLE_SYSCTL_MEM_TUNING: true
      ENABLE_SYSCTL_NET_TUNING: true
      ENABLE_VOLUME_MULTIATTACH: true
      ENABLE_ZSWAP: true
      ERROR_ON_CLONE: true
      FIXED_RANGE: 10.1.0.0/20
      FLOATING_RANGE: 172.24.5.0/24
      FORCE_CONFIG_DRIVE: true
      GLANCE_USE_IMPORT_WORKFLOW: true
      HOST_IP: '{{ hostvars[''controller''][''nodepool''][''private_ipv4''] }}'
      IMAGE_URLS: http://download.cirros-cloud.net/0.6.2/cirros-0.6.2-x86_64-disk.img,
        http://download.cirros-cloud.net/0.6.1/cirros-0.6.1-x86_64-disk.img
      IPV4_ADDRS_SAFE_TO_USE: 10.1.0.0/20
      LIBVIRT_TYPE: '{{ devstack_libvirt_type | default("qemu") }}'
      LOGFILE: /opt/stack/logs/devstacklog.txt
      LOG_COLOR: false
      NETWORK_GATEWAY: 10.1.0.1
      NOVA_LIBVIRT_TB_CACHE_SIZE: 128
      NOVA_VNC_ENABLED: true
      OVN_DBS_LOG_LEVEL: dbg
      PUBLIC_BRIDGE_MTU: '{{ external_bridge_mtu }}'
      PUBLIC_NETWORK_GATEWAY: 172.24.5.1
      RABBIT_PASSWORD: secretrabbit
      SERVICE_HOST: '{{ hostvars[''controller''][''nodepool''][''private_ipv4''] }}'
      SERVICE_PASSWORD: secretservice
      SWIFT_HASH: 1234123412341234
      SWIFT_REPLICAS: 1
      SWIFT_START_ALL_SERVICES: false
      TEMPEST_EXTEND_ATTACHED_VOLUME: true
      TEMPEST_PLUGINS: cinder-tempest-plugin
      TEMPEST_RUN_VALIDATION: true
      TEMPEST_STORAGE_PROTOCOL: iscsi
      TEMPEST_VOLUME_REVERT_TO_SNAPSHOT: true
      TEMPEST_VOLUME_VENDOR: StorPool
      VERBOSE: true
      VERBOSE_NO_TIMESTAMP: true
    devstack_plugins:
      neutron: https://opendev.org/openstack/neutron
    devstack_services:
      base: false
      c-api: true
      c-bak: true
      c-sch: true
      c-vol: true
      dstat: false
      etcd3: true
      file_tracker: true
      g-api: true
      horizon: false
      key: true
      memory_tracker: true
      mysql: true
      n-api: true
      n-api-meta: true
      n-cond: true
      n-cpu: true
      n-novnc: true
      n-sch: true
      openstack-cli-server: true
      ovn-controller: true
      ovn-northd: true
      ovs-vswitchd: true
      ovsdb-server: true
      placement-api: true
      q-ovn-agent: true
      q-svc: true
      rabbit: true
      s-account: true
      s-container: true
      s-object: true
      s-proxy: true
      tempest: true
      tls-proxy: true
    extensions_to_txt:
      auto: true
      conf: true
      localrc: true
      log: true
      stackenv: true
      yaml: true
      yml: true
    local_gerrit: gerrit-openstack-ci.sof-k8s.storpool.net
    os_venv: ~/sp-venv-openstack
    sp_experimental: true
    sp_target_release: release
    storpool_connection: iscsi
    tempest_concurrency: 8
    tempest_test_regex: volume|^cinder_tempest_plugin
    test_results_stage_name: test_results
    tox_envlist: all
    zuul:
      _inheritance_path:
      - '<Job base explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: config/zuul.d/jobs-base.yaml@master#2>'
      - '<Job sp-shadowed explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: config/zuul.d/sp-aaa-shadow.yaml@master#3>'
      - '<Job openstack-multinode-fips explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: config/zuul.d/sp-aaa-shadow.yaml@master#180>'
      - '<Job devstack-base explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: openstack/devstack/.zuul.yaml@master#378>'
      - '<Job devstack-minimal explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: openstack/devstack/.zuul.yaml@master#512>'
      - '<Job devstack explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: openstack/devstack/.zuul.yaml@master#555>'
      - '<Job devstack-tempest explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: openstack/tempest/zuul.d/base.yaml@master#1>'
      - '<Job tempest-full-py3 explicit: {MatchAny:{BranchMatcher:^.*/(victoria|wallaby)$}}
        implied: None source: openstack/tempest/zuul.d/integrated-gate.yaml@master#63>'
      - '<Job cinder-storpool-tempest-iscsi-multipath explicit: None implied: {MatchAny:{ImpliedBranchMatcher:master}}
        source: config/zuul.d/sp-cinder.yaml@master#182>'
      - '<Job cinder-storpool-tempest-iscsi-multipath explicit: {MatchAny:{BranchMatcher:master}}
        implied: None source: config/zuul.d/sp-cinder.yaml@master#382>'
      ansible_version: '9'
      attempts: 1
      branch: master
      build: c92d7ca43f064162b9e7befb9b0208cd
      build_refs:
      - branch: master
        change: '991534'
        change_message: 'NetApp: fix CG replication break/quiesce

          Closes-Bug: #2155104


          Fixed SnapMirror quiesce, abort, and break operations

          to use the REST API when netapp_consistent_replication

          is enabled. Consistency group SnapMirror relationships

          require REST; these code paths previously used the

          legacy ZAPI client, causing failover and failback

          operations to fail.


          Change-Id: I45552c89d99a548ce1a3955fd68c06ac0e013f8b

          Signed-off-by: sailajam <sailajam@netapp.com>

          '
        change_url: https://review.opendev.org/c/openstack/cinder/+/991534
        commit_id: 80f1d4dbabfc410e228cbd704e0277203a373985
        patchset: '8'
        project:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/cinder
          name: openstack/cinder
          short_name: cinder
          src_dir: src/opendev.org/openstack/cinder
        src_dir: src/opendev.org/openstack/cinder
        topic: null
      buildset: 053c47cb11a744b3b476b68828225973
      buildset_refs:
      - branch: master
        change: '991534'
        change_message: 'NetApp: fix CG replication break/quiesce

          Closes-Bug: #2155104


          Fixed SnapMirror quiesce, abort, and break operations

          to use the REST API when netapp_consistent_replication

          is enabled. Consistency group SnapMirror relationships

          require REST; these code paths previously used the

          legacy ZAPI client, causing failover and failback

          operations to fail.


          Change-Id: I45552c89d99a548ce1a3955fd68c06ac0e013f8b

          Signed-off-by: sailajam <sailajam@netapp.com>

          '
        change_url: https://review.opendev.org/c/openstack/cinder/+/991534
        commit_id: 80f1d4dbabfc410e228cbd704e0277203a373985
        patchset: '8'
        project:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/cinder
          name: openstack/cinder
          short_name: cinder
          src_dir: src/opendev.org/openstack/cinder
        src_dir: src/opendev.org/openstack/cinder
        topic: null
      change: '991534'
      change_message: 'NetApp: fix CG replication break/quiesce

        Closes-Bug: #2155104


        Fixed SnapMirror quiesce, abort, and break operations

        to use the REST API when netapp_consistent_replication

        is enabled. Consistency group SnapMirror relationships

        require REST; these code paths previously used the

        legacy ZAPI client, causing failover and failback

        operations to fail.


        Change-Id: I45552c89d99a548ce1a3955fd68c06ac0e013f8b

        Signed-off-by: sailajam <sailajam@netapp.com>

        '
      change_url: https://review.opendev.org/c/openstack/cinder/+/991534
      child_jobs: []
      commit_id: 80f1d4dbabfc410e228cbd704e0277203a373985
      event_id: 723ff367f96f40ebb4927a6473524545
      executor:
        hostname: zuul-executor-0.zuul-executor.openstack-ci.svc.cluster.local
        inventory_file: /var/lib/zuul/builds/c92d7ca43f064162b9e7befb9b0208cd/ansible/inventory.yaml
        log_root: /var/lib/zuul/builds/c92d7ca43f064162b9e7befb9b0208cd/work/logs
        result_data_file: /var/lib/zuul/builds/c92d7ca43f064162b9e7befb9b0208cd/work/results.json
        src_root: /var/lib/zuul/builds/c92d7ca43f064162b9e7befb9b0208cd/work/src
        work_root: /var/lib/zuul/builds/c92d7ca43f064162b9e7befb9b0208cd/work
      include_vars: []
      items:
      - branch: master
        change: '991534'
        change_message: 'NetApp: fix CG replication break/quiesce

          Closes-Bug: #2155104


          Fixed SnapMirror quiesce, abort, and break operations

          to use the REST API when netapp_consistent_replication

          is enabled. Consistency group SnapMirror relationships

          require REST; these code paths previously used the

          legacy ZAPI client, causing failover and failback

          operations to fail.


          Change-Id: I45552c89d99a548ce1a3955fd68c06ac0e013f8b

          Signed-off-by: sailajam <sailajam@netapp.com>

          '
        change_url: https://review.opendev.org/c/openstack/cinder/+/991534
        commit_id: 80f1d4dbabfc410e228cbd704e0277203a373985
        patchset: '8'
        project:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/cinder
          name: openstack/cinder
          short_name: cinder
          src_dir: src/opendev.org/openstack/cinder
        topic: null
      job: cinder-storpool-tempest-iscsi-multipath
      jobtags: []
      max_attempts: 1
      message: TmV0QXBwOiBmaXggQ0cgcmVwbGljYXRpb24gYnJlYWsvcXVpZXNjZQpDbG9zZXMtQnVnOiAjMjE1NTEwNAoKRml4ZWQgU25hcE1pcnJvciBxdWllc2NlLCBhYm9ydCwgYW5kIGJyZWFrIG9wZXJhdGlvbnMKdG8gdXNlIHRoZSBSRVNUIEFQSSB3aGVuIG5ldGFwcF9jb25zaXN0ZW50X3JlcGxpY2F0aW9uCmlzIGVuYWJsZWQuIENvbnNpc3RlbmN5IGdyb3VwIFNuYXBNaXJyb3IgcmVsYXRpb25zaGlwcwpyZXF1aXJlIFJFU1Q7IHRoZXNlIGNvZGUgcGF0aHMgcHJldmlvdXNseSB1c2VkIHRoZQpsZWdhY3kgWkFQSSBjbGllbnQsIGNhdXNpbmcgZmFpbG92ZXIgYW5kIGZhaWxiYWNrCm9wZXJhdGlvbnMgdG8gZmFpbC4KCkNoYW5nZS1JZDogSTQ1NTUyYzg5ZDk5YTU0OGNlMWEzOTU1ZmQ2OGMwNmFjMGUwMTNmOGIKU2lnbmVkLW9mZi1ieTogc2FpbGFqYW0gPHNhaWxhamFtQG5ldGFwcC5jb20+Cg==
      patchset: '8'
      pipeline: check
      playbook_context:
        playbook_projects:
          trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config:
            canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/config
            checkout: master
            commit: 7bdaaaad7daed924077c128f831f55a5e278cc98
          trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs:
            canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            checkout: master
            commit: 9f5c1d680d573485f0ccdb18d2184d4f1d446419
          trusted/project_2/opendev.org/openstack/tempest:
            canonical_name: opendev.org/openstack/tempest
            checkout: master
            commit: 406633de5471ef4834c65d2ec5a682d3251251a7
          trusted/project_3/opendev.org/openstack/devstack:
            canonical_name: opendev.org/openstack/devstack
            checkout: master
            commit: 493835a61a996731a7031861f80c7629acd5d6f2
          trusted/project_4/opendev.org/openstack/openstack-zuul-jobs:
            canonical_name: opendev.org/openstack/openstack-zuul-jobs
            checkout: master
            commit: adfb3f80f75ad55de5c65b34400d4beaa8ae7780
          untrusted/project_0/opendev.org/openstack/devstack:
            canonical_name: opendev.org/openstack/devstack
            checkout: master
            commit: 493835a61a996731a7031861f80c7629acd5d6f2
          untrusted/project_1/opendev.org/openstack/openstack-zuul-jobs:
            canonical_name: opendev.org/openstack/openstack-zuul-jobs
            checkout: master
            commit: adfb3f80f75ad55de5c65b34400d4beaa8ae7780
          untrusted/project_2/gerrit-openstack-ci.sof-k8s.storpool.net/config:
            canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/config
            checkout: master
            commit: 7bdaaaad7daed924077c128f831f55a5e278cc98
          untrusted/project_3/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs:
            canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            checkout: master
            commit: 9f5c1d680d573485f0ccdb18d2184d4f1d446419
          untrusted/project_4/opendev.org/openstack/tempest:
            canonical_name: opendev.org/openstack/tempest
            checkout: master
            commit: 406633de5471ef4834c65d2ec5a682d3251251a7
        playbooks:
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/tempest-and-cinderlib-run.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/playbook_0/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/playbook_0/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/playbook_0/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/playbook_0/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/playbook_0/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/playbook_0/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/playbook_0/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/playbook_0/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/playbook_0/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/playbook_0/role_4/zuul-jobs/roles
        post_playbooks:
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-storpool/post.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_0/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/post_playbook_0/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_0/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/post_playbook_0/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_0/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/post_playbook_0/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_0/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_0/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_0/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_0/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-iscsi-multipath/post.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_1/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/post_playbook_1/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_1/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/post_playbook_1/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_1/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/post_playbook_1/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_1/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_1/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_1/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_1/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-client/post.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_2/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/post_playbook_2/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_2/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/post_playbook_2/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_2/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/post_playbook_2/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_2/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_2/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_2/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_2/role_4/zuul-jobs/roles
        - path: untrusted/project_4/opendev.org/openstack/tempest/playbooks/post-tempest.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_3/role_0/tempest
            link_target: untrusted/project_4/opendev.org/openstack/tempest
            role_path: ansible/post_playbook_3/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_3/role_1/devstack
            link_target: untrusted/project_0/opendev.org/openstack/devstack
            role_path: ansible/post_playbook_3/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_3/role_2/openstack-zuul-jobs
            link_target: untrusted/project_1/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/post_playbook_3/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_3/role_3/config
            link_target: untrusted/project_2/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_3/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_3/role_4/zuul-jobs
            link_target: untrusted/project_3/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_3/role_4/zuul-jobs/roles
        - path: untrusted/project_0/opendev.org/openstack/devstack/playbooks/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_4/role_0/devstack
            link_target: untrusted/project_0/opendev.org/openstack/devstack
            role_path: ansible/post_playbook_4/role_0/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_4/role_1/openstack-zuul-jobs
            link_target: untrusted/project_1/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/post_playbook_4/role_1/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_4/role_2/config
            link_target: untrusted/project_2/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_4/role_2/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_4/role_3/zuul-jobs
            link_target: untrusted/project_3/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_4/role_3/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/base/post.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/post_playbook_5/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/post_playbook_5/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/post_playbook_5/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/post_playbook_5/role_1/zuul-jobs/roles
        pre_playbooks:
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/base/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_0/role_0/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_0/role_0/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_0/role_1/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_0/role_1/zuul-jobs/roles
        - path: untrusted/project_0/opendev.org/openstack/devstack/playbooks/pre.yaml
          roles:
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_1/role_0/devstack
            link_target: untrusted/project_0/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_1/role_0/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_1/role_1/openstack-zuul-jobs
            link_target: untrusted/project_1/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_1/role_1/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_1/role_2/config
            link_target: untrusted/project_2/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_1/role_2/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_1/role_3/zuul-jobs
            link_target: untrusted/project_3/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_1/role_3/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/workarounds/01-disable-unattended-upgrades.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_2/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_2/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_2/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_2/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_2/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_2/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_2/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_2/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_2/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_2/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/workarounds/02-install-linux-modules-extra-for-z3fold.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_3/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_3/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_3/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_3/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_3/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_3/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_3/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_3/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_3/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_3/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/workarounds/03-provide-unobtainable-novnc.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_4/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_4/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_4/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_4/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_4/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_4/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_4/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_4/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_4/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_4/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/sp-init.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_5/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_5/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_5/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_5/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_5/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_5/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_5/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_5/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_5/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_5/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-client/pre.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_6/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_6/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_6/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_6/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_6/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_6/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_6/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_6/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_6/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_6/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-iscsi-multipath/pre.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_7/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_7/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_7/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_7/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_7/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_7/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_7/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_7/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_7/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_7/role_4/zuul-jobs/roles
        - path: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config/playbooks/setup-openstack-storpool/pre.yaml
          roles:
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_8/role_0/tempest
            link_target: trusted/project_2/opendev.org/openstack/tempest
            role_path: ansible/pre_playbook_8/role_0/tempest/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_8/role_1/devstack
            link_target: trusted/project_3/opendev.org/openstack/devstack
            role_path: ansible/pre_playbook_8/role_1/devstack/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_8/role_2/openstack-zuul-jobs
            link_target: trusted/project_4/opendev.org/openstack/openstack-zuul-jobs
            role_path: ansible/pre_playbook_8/role_2/openstack-zuul-jobs/roles
          - checkout: master
            checkout_description: playbook branch
            link_name: ansible/pre_playbook_8/role_3/config
            link_target: trusted/project_0/gerrit-openstack-ci.sof-k8s.storpool.net/config
            role_path: ansible/pre_playbook_8/role_3/config/roles
          - checkout: master
            checkout_description: zuul branch
            link_name: ansible/pre_playbook_8/role_4/zuul-jobs
            link_target: trusted/project_1/gerrit-openstack-ci.sof-k8s.storpool.net/zuul-jobs
            role_path: ansible/pre_playbook_8/role_4/zuul-jobs/roles
      post_review: false
      post_timeout: null
      pre_timeout: null
      project:
        canonical_hostname: opendev.org
        canonical_name: opendev.org/openstack/cinder
        name: openstack/cinder
        short_name: cinder
        src_dir: src/opendev.org/openstack/cinder
      projects:
        gerrit-openstack-ci.sof-k8s.storpool.net/novnc/novnc:
          canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
          canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/novnc/novnc
          checkout: master
          checkout_description: zuul branch
          commit: 8e1ebdffba02e651c399dacef841f8941f6ad6e4
          name: novnc/novnc
          required: true
          short_name: novnc
          src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/novnc/novnc
        gerrit-openstack-ci.sof-k8s.storpool.net/sp-osci:
          canonical_hostname: gerrit-openstack-ci.sof-k8s.storpool.net
          canonical_name: gerrit-openstack-ci.sof-k8s.storpool.net/sp-osci
          checkout: master
          checkout_description: zuul branch
          commit: cb3912611f16a86a65198d5c742863bb7491e0e1
          name: sp-osci
          required: true
          short_name: sp-osci
          src_dir: src/gerrit-openstack-ci.sof-k8s.storpool.net/sp-osci
        opendev.org/openstack/cinder:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/cinder
          checkout: master
          checkout_description: zuul branch
          commit: 94c780432d6e739708ba40f56c9502dbc79e3cea
          name: openstack/cinder
          required: true
          short_name: cinder
          src_dir: src/opendev.org/openstack/cinder
        opendev.org/openstack/devstack:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/devstack
          checkout: master
          checkout_description: zuul branch
          commit: 493835a61a996731a7031861f80c7629acd5d6f2
          name: openstack/devstack
          required: true
          short_name: devstack
          src_dir: src/opendev.org/openstack/devstack
        opendev.org/openstack/glance:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/glance
          checkout: master
          checkout_description: zuul branch
          commit: c76abb08e2bc82582389059dcbbc234293ce13b9
          name: openstack/glance
          required: true
          short_name: glance
          src_dir: src/opendev.org/openstack/glance
        opendev.org/openstack/keystone:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/keystone
          checkout: master
          checkout_description: zuul branch
          commit: 30ef2ffa65a3486ef882f00538e20f2253c57d4c
          name: openstack/keystone
          required: true
          short_name: keystone
          src_dir: src/opendev.org/openstack/keystone
        opendev.org/openstack/neutron:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/neutron
          checkout: master
          checkout_description: zuul branch
          commit: 01d49bbfb2dad1562b6f9dc88c68b4e205889fb7
          name: openstack/neutron
          required: true
          short_name: neutron
          src_dir: src/opendev.org/openstack/neutron
        opendev.org/openstack/nova:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/nova
          checkout: master
          checkout_description: zuul branch
          commit: 9e1434d255f59f10c0fdf75c3fe6bebfa315df10
          name: openstack/nova
          required: true
          short_name: nova
          src_dir: src/opendev.org/openstack/nova
        opendev.org/openstack/os-test-images:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/os-test-images
          checkout: master
          checkout_description: zuul branch
          commit: 5d0367e03788764f41da8effffa14e3eac513201
          name: openstack/os-test-images
          required: true
          short_name: os-test-images
          src_dir: src/opendev.org/openstack/os-test-images
        opendev.org/openstack/placement:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/placement
          checkout: master
          checkout_description: zuul branch
          commit: e5f529669680cbc2f64e5c7534ea1f0c2b4b7687
          name: openstack/placement
          required: true
          short_name: placement
          src_dir: src/opendev.org/openstack/placement
        opendev.org/openstack/requirements:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/requirements
          checkout: master
          checkout_description: zuul branch
          commit: 7c466f62332c8ba87b4b139f83fc1882038200a6
          name: openstack/requirements
          required: true
          short_name: requirements
          src_dir: src/opendev.org/openstack/requirements
        opendev.org/openstack/swift:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/swift
          checkout: master
          checkout_description: zuul branch
          commit: c79f5d1b7094bbb7020bf004dac27c79e1c303df
          name: openstack/swift
          required: true
          short_name: swift
          src_dir: src/opendev.org/openstack/swift
        opendev.org/openstack/tempest:
          canonical_hostname: opendev.org
          canonical_name: opendev.org/openstack/tempest
          checkout: master
          checkout_description: zuul branch
          commit: 406633de5471ef4834c65d2ec5a682d3251251a7
          name: openstack/tempest
          required: true
          short_name: tempest
          src_dir: src/opendev.org/openstack/tempest
      ref: refs/changes/34/991534/8
      resources: {}
      tenant: OpenStack
      timeout: 10800
      topic: null
      voting: true
    zuul_copy_output:
      /etc/ceph: logs
      /etc/glusterfs/glusterd.vol: logs
      /etc/iscsi/iscsid.conf: logs_txt
      /etc/libvirt: logs
      /etc/lvm: logs
      /etc/multipath.conf: logs_txt
      /etc/resolv.conf: logs
      /etc/sudoers: logs
      /etc/sudoers.d: logs
      /var/log/ceph: logs
      /var/log/glusterfs: logs
      /var/log/libvirt: logs
      /var/log/mysql: logs
      /var/log/openvswitch: logs
      /var/log/ovn: logs
      /var/log/postgresql: logs
      /var/log/rabbitmq: logs
      /var/log/unbound.log: logs
      '{{ devstack_base_dir }}/tempest/etc/accounts.yaml': logs
      '{{ devstack_base_dir }}/tempest/etc/tempest.conf': logs
      '{{ devstack_base_dir }}/tempest/tempest.log': logs
      '{{ devstack_conf_dir }}/.localrc.auto': logs
      '{{ devstack_conf_dir }}/.stackenv': logs
      '{{ devstack_conf_dir }}/local.conf': logs
      '{{ devstack_conf_dir }}/localrc': logs
      '{{ devstack_full_log}}': logs
      '{{ devstack_log_dir }}/atop': logs
      '{{ devstack_log_dir }}/devstacklog.txt': logs
      '{{ devstack_log_dir }}/devstacklog.txt.summary': logs
      '{{ devstack_log_dir }}/dstat-csv.log': logs
      '{{ devstack_log_dir }}/qemu.coredump': logs
      '{{ devstack_log_dir }}/tcpdump.pcap': logs
      '{{ devstack_log_dir }}/worlddump-latest.txt': logs
      '{{ stage_dir }}/apache': logs
      '{{ stage_dir }}/apache_config': logs
      '{{ stage_dir }}/audit.log': logs
      '{{ stage_dir }}/core': logs
      '{{ stage_dir }}/deprecations.log': logs
      '{{ stage_dir }}/df.txt': logs
      '{{ stage_dir }}/dpkg-l.txt': logs
      '{{ stage_dir }}/etc': logs
      '{{ stage_dir }}/iptables.txt': logs
      '{{ stage_dir }}/listen53.txt': logs
      '{{ stage_dir }}/mount.txt': logs
      '{{ stage_dir }}/performance.json': logs
      '{{ stage_dir }}/pip2-freeze.txt': logs
      '{{ stage_dir }}/pip3-freeze.txt': logs
      '{{ stage_dir }}/rpm-qa.txt': logs
      '{{ stage_dir }}/services.txt': logs
      '{{ stage_dir }}/stackviz': logs
      '{{ stage_dir }}/verify_tempest_conf.log': logs
      '{{ stage_dir }}/{{ test_results_stage_name }}.html': logs
      '{{ stage_dir }}/{{ test_results_stage_name }}.subunit': logs
    zuul_use_fetch_output: true
